Package com.independentsoft.office.charts

# Class Pie3DChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.Pie3DChart

public class Pie3DChart extends Chart
The Class Pie3DChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Pie3DChart()`
  Instantiates a new pie3 d chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Pie3DChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `List<PieChartSerie>`
  `getSeries()`
  Gets the series.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Pie3DChart

    public Pie3DChart()
    Instantiates a new pie3 d chart.

- ## Method Details

  - ### clone

    public Pie3DChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getSeries

    public List<PieChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors